<h1>Регистрация</h1>
<?php
if(isset($_POST["regsub"])){
	$err = NULL;
	db_connect();
	if(db_rows(db_query("SELECT `id` FROM `".DBpref."users` WHERE `login` = '".db_string($_POST["login"])."' OR `email` = '".db_string($_POST["email"])."'")) != 0)
		$err .= "<li>Логин или E-mail уже используются</li>";
	if(strlen($_POST["login"]) < 4)
		$err .= "<li>Минимальная длина логина 4 символа</li>";
	if ( !@eregi("^[a-zA-Z0-9_]+$", $_POST["login"]))
		$err .= "<li>В логине допускается только латиница и символ _</li>";
	if(!checkEmail($_POST["email"]))
		$err .= "<li>E-mail введен не корректно</li>";
	if(strlen($_POST["pass"]) < 6)
		$err .= "<li>Минимальная длина пароля 6 символов</li>";
	if($_POST["pass"] != $_POST["pass2"])
		$err .= "<li>Подтверждение пароля не совпадает</li>";
		
	if($err == NULL){
		
		$ref = NULL;
		if(isset($_SESSION["ref"])){
			if(db_rows(db_query("SELECT `id`, `ref` FROM `".DBpref."users` WHERE `login` = '".db_string($_SESSION["ref"])."'")) == 1){
				$ref = $_SESSION["ref"];
                
				//$ref2 = $_SESSION["ref"];
			}
		}

		$ref2 = NULL;

		
		if(db_rows(db_query("SELECT `ref` FROM `".DBpref."users` WHERE `login`='".db_string($_SESSION["ref"])."'")) == 1){
			$refBuf = db_assoc(db_query("SELECT `ref`, `referals2`, `referals` FROM `".DBpref."users` WHERE `login`='".db_string($_SESSION["ref"])."'"));
			$ref2 = $refBuf["ref"];
			$refreferals2 = $refBuf["referals2"]; // количество рефералов второго уровня у реф 2
			$refreferals1 = $refBuf["referals"]; // количество рефералов второго уровня у реф 1
			
		}

		if(db_rows(db_query("SELECT `ref` FROM `".DBpref."users` WHERE `login`='".db_string($ref2)."'")) == 1){
			$ref2Buf = db_assoc(db_query("SELECT `referals2`, `referals` FROM `".DBpref."users` WHERE `login`='".db_string($ref2)."'"));
			
			$ref2referals2 = $ref2Buf["referals2"]; // количество рефералов второго уровня у реф 2
			$ref2referals1 = $ref2Buf["referals"]; // количество рефералов второго уровня у реф 1
			
		}

		
		db_query("INSERT INTO `".DBpref."users` (`balance`, `login`, `email`, `pass`, `ref`, `ref2`, `wmid`, `wmr`, `genus`, `regdat`, `ip`, `logdat`) 
			VALUES (1, '".db_string($_POST["login"])."', '".db_string($_POST["email"])."', '".heshPass($_POST["pass"])."', '".db_string($ref)."', '".db_string($ref2)."', '', '', '".intval($_POST["genus"])."', '".date("Y-m-d H:i:s")."', '".getIP()."', '".date("Y-m-d H:i:s")."')");

		if(!empty($ref2)){
		   $ref2referals2++;
		   db_query("UPDATE `".DBpref."users` SET `referals2`='".db_string($ref2referals2)."' WHERE `login`='".db_string($ref2)."'");
		} 
		if(!empty($ref)){

		   $refreferals1++;
		   db_query("UPDATE `".DBpref."users` SET `referals`='".db_string($refreferals1)."' WHERE `login`='".db_string($ref)."'");
		}
		
		$_SESSION["login"] = $_POST["login"];
		
		echo "<ul class='good'><li>Регистрация успешно завершена</li></ul>
			<script type='text/javascript'>
				location.replace('/?p=profile');
			</script>";
		
		$regok = true;
	}else{
		echo "<ul class='error'>".$err."</ul>";
	}
	
	db_close();
}
?>

<?php
if($regok == false){
?>
<form action="/?p=register" method="post">
<input name="ref" type="hidden" value="<?php echo htmlspecialchars($_SESSION["ref"]); ?>">
<table class="table2">
  <tr>
    <td>Логин</td>
    <td><input name="login" type="text" size="30" maxlength="30" value="<?php echo htmlspecialchars($_POST["login"]); ?>" /></td>
  </tr>
  <tr>
    <td>E-mail</td>
    <td><input name="email" type="text" size="30" maxlength="60" value="<?php echo htmlspecialchars($_POST["email"]); ?>" /></td>
  </tr>
  <tr>
    <td>Пароль</td>
    <td><input name="pass" type="password" size="30" maxlength="25" /></td>
  </tr>
  <tr>
    <td>Подтверждение пароля</td>
    <td><input name="pass2" type="password" size="30" maxlength="25" /></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td><input name="regsub" type="submit" value="Регистрация" /></td>
  </tr>
</table>

</form>
<?php
}
?>